edu.msu.cme.rdp.classifier

## Class ShortSequenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - edu.msu.cme.rdp.classifier.ShortSequenceException

All Implemented Interfaces:
  java.io.Serializable

    public class ShortSequenceException
    extends java.lang.IllegalArgumentException

Handles exception for a short sequence.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ShortSequenceException(java.lang.String seqDoc, java.lang.String msg)` Creates a new instance of ShortSequenceException to handle short sequence.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()` Returns the error message.
`java.lang.String` `getSeqDoc()` Returns the sequence identifier.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShortSequenceException

    public ShortSequenceException(java.lang.String seqDoc,
                                  java.lang.String msg)

Creates a new instance of ShortSequenceException to handle short sequence.

### Method Detail

#### getSeqDoc

    public java.lang.String getSeqDoc()

Returns the sequence identifier.

#### getMessage

    public java.lang.String getMessage()

Returns the error message.

Overrides:
  `getMessage` in class `java.lang.Throwable`